libcamera v0.5.1 Supporting cameras in Linux since 2019 |

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
libcamera::Point Class Reference

Describe a point in two-dimensional space. More...

## Public Member Functions
constexpr | Point ()
| Construct a Point with x and y set to 0.
constexpr | Point (int xpos, int ypos)
| Construct a Point at given xpos and ypos values.
const std::string | toString () const
| Assemble and return a string describing the point.
constexpr Point | operator- () const
| Negate a Point by negating both its x and y coordinates.

## Public Attributes
int | x
| The x-coordinate of the Point.
int | y
| The y-coordinate of the Point.

## Detailed Description

Describe a point in two-dimensional space.

The Point structure defines a point in two-dimensional space with integer precision. The coordinates of a Point may be negative as well as positive.

## Constructor & Destructor Documentation

## ◆ Point()

libcamera::Point::Point | ( | int | xpos,
|  | int | ypos )
| inline constexpr

Construct a Point at given xpos and ypos values.

Parameters

  [in] | xpos | The x-coordinate
  [in] | ypos | The y-coordinate

## Member Function Documentation

## ◆ operator-()

Point libcamera::Point::operator- | ( |  | ) | const
| inline constexpr

Negate a Point by negating both its x and y coordinates.

Returns
  The negated point

## ◆ toString()

const std::string libcamera::Point::toString | ( |  | ) | const

Assemble and return a string describing the point.

Returns
  A string describing the point

The documentation for this class was generated from the following files:

- include/libcamera/geometry.h
- src/libcamera/geometry.cpp